﻿using BeautySaloonDataModels;
using System.ComponentModel;

namespace BeautySaloonContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        [DisplayName("Дата заказа")]
        public DateOnly Date { get; set; } = DateOnly.FromDateTime(DateTime.Now);
        [DisplayName("Сумма")]
        public decimal Sum { get; set; }
        public int ClientId { get; set; }
        [DisplayName("Клиент")]
        public string ClientName { get; set; } = string.Empty;
        [DisplayName("Номер клиента")]
        public string ClientPhone { get; set; } = string.Empty;
        public int EmployeeId { get; set; }
        [DisplayName("Продавец")]
        public string EmployeeName { get; set; } = string.Empty;
        [DisplayName("Номер продавца")]
        public string EmployeePhone { get; set; } = string.Empty;
        public Dictionary<int, (TimeOnly, IServiceModel, int)> OrderServices
        {
            get;
            set;
        } = new();
    }
}
