﻿using System;
using System.Collections.Generic;

namespace BeautySaloonDatabaseImplement;

/// <summary>
/// Сущность-связь услуги с заказом
/// </summary>
public partial class ServiceOrder
{
    /// <summary>
    /// Составной первичный ключ: идентификатор услуги
    /// </summary>
    public int ServiceId { get; set; }

    /// <summary>
    /// Составной первичный ключ: идентификатор заказа
    /// </summary>
    public int OrderId { get; set; }

    /// <summary>
    /// Время
    /// </summary>
    public TimeOnly Date { get; set; }

    /// <summary>
    /// Идентификатор сотрудника
    /// </summary>
    public int EmployeeId { get; set; }

    public virtual Employee Employee { get; set; } = null!;

    public virtual Order Order { get; set; } = null!;

    public virtual Service Service { get; set; } = null!;
}
